Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.codecs
[Java] Class HTML4Encoder

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.AbstractCharReplacementEncoder
          org.codehaus.groovy.grails.plugins.codecs.HTML4Encoder

    public class HTML4Encoder
    extends AbstractCharReplacementEncoder

This encoder is for HTML4 documents. It uses escaping information from Spring's HtmlUtils so that this is compatible with the previous "encodeAsHTML" in older Grails versions.

Authors:
  Lari Hotari

Since:
  2.3

Field Summary

Fields inherited from class AbstractCharReplacementEncoder
codecIdentifier

Constructor Summary
`HTML4Encoder()`

Method Summary
`protected java.lang.String` | `escapeCharacter(char ch, char previousChar)`

Methods inherited from class AbstractCharReplacementEncoder
convertToString, doCharReplacementEncoding, encode, encodeToStream, encodeToWriter, escapeCharSequence, escapeCharacter, getCodecIdentifier, isApplyToSafelyEncoded, isSafe, markEncoded

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HTML4Encoder

    public HTML4Encoder()

Method Detail

### escapeCharacter

    @java.lang.Override
    protected java.lang.String escapeCharacter(char ch, char previousChar)

Groovy Documentation